# -*- coding: iso-8859-1 -*-

###
### This file is generated automatically by SALOME v6.6.0 with dump python functionality
###

import sys
import salome

salome.salome_init()
theStudy = salome.myStudy

import salome_notebook
notebook = salome_notebook.notebook
sys.path.insert( 0, r'/cae_sg500/caexample/caelinux/rbe3')

import iparameters
ipar = iparameters.IParameters(salome.myStudy.GetCommonParameters("Interface Applicative", 1), True)

###
### GEOM component
###

import GEOM
import geompy
import math
import SALOMEDS


geompy.init_geom(theStudy)

geomObj_1 = geompy.MakeMarker(0, 0, 0, 1, 0, 0, 0, 1, 0)
Cq1 = geompy.MakeSketcherOnPlane("Sketcher:F 15  0:TT 17  0: UU -17 0 17 0: TT -15 0: UU 15 0  -15 0:WW", geomObj_1 )
Cq2 = geompy.MakeSketcherOnPlane("Sketcher:F -15 0:TT -17 0: UU  17 0 17 0: TT  15 0: UU -15 0 -15 0:WW", geomObj_1 )
geomObj_2 = geompy.MakeFaceWires([Cq1, Cq2], 1)
geomObj_3 = geompy.MakeVectorDXDYDZ(0, 0, 75)
geomObj_4 = geompy.MakePipe(geomObj_2, geomObj_3)
Vz75 = geompy.MakeVectorDXDYDZ(0, 0, 75)
geomObj_5 = geompy.MakePipe(geomObj_2, Vz75)
Fq1 = geompy.MakeFaceWires([Cq1], 1)
geomObj_6 = geompy.MakeFaceWires([Cq2], 1)
Pipe1 = geompy.MakePipe(Fq1, Vz75)
Pipe2 = geompy.MakePipe(geomObj_6, Vz75)

geomObj_7 = geompy.MakeFuse(Pipe2, Pipe1)
VFuse = geompy.MakeFuse(Pipe1, Pipe2)
Part = geompy.MakePartition([VFuse], [Pipe2], [], [], geompy.ShapeType["SOLID"], 0, [], 1)
Vcylmy = geompy.CreateGroup(Part, geompy.ShapeType["SOLID"])
geompy.UnionIDs(Vcylmy, [36])
Vcylpy = geompy.CreateGroup(Part, geompy.ShapeType["SOLID"])
geompy.UnionIDs(Vcylpy, [2])

Atop = geompy.CreateGroup(Part, geompy.ShapeType["FACE"])
geompy.UnionIDs(Atop, [48, 34])
Abot = geompy.CreateGroup(Part, geompy.ShapeType["FACE"])
geompy.UnionIDs(Abot, [38,4])
Aends = geompy.CreateGroup(Part, geompy.ShapeType["FACE"])
geompy.UnionIDs(Aends, [4, 34, 38, 48])
Lpy = geompy.CreateGroup(Part, geompy.ShapeType["FACE"])
geompy.UnionIDs(Lpy, [4,34])
Lmy = geompy.CreateGroup(Part, geompy.ShapeType["FACE"])
geompy.UnionIDs(Lmy, [38, 48])

Circlmy = geompy.CreateGroup(Part, geompy.ShapeType["EDGE"])
geompy.UnionIDs(Circlmy, [40])
Circlpy = geompy.CreateGroup(Part, geompy.ShapeType["EDGE"])
geompy.UnionIDs(Circlpy, [11])

geompy.addToStudy( Cq1, 'Cq1' )
geompy.addToStudy( Cq2, 'Cq2' )
geompy.addToStudy( Vz75, 'Vz75' )
geompy.addToStudy( Fq1, 'Fq1' )
geompy.addToStudy( Pipe1, 'Pipe1' )
geompy.addToStudy( Pipe2, 'Pipe2' )
geompy.addToStudy( VFuse, 'VFuse' )
geompy.addToStudy( Part, 'Part' )
geompy.addToStudyInFather( Part, Atop, 'Atop' )
geompy.addToStudyInFather( Part, Abot, 'Abot' )
geompy.addToStudyInFather( Part, Aends, 'Aends' )
geompy.addToStudyInFather( Part, Vcylpy, 'Vcylpy' )
geompy.addToStudyInFather( Part, Vcylmy, 'Vcylmy' )
geompy.addToStudyInFather( Part, Lmy, 'Lmy' )
geompy.addToStudyInFather( Part, Lpy, 'Lpy' )
geompy.addToStudyInFather( Part, Circlmy, 'Circlmy' )
geompy.addToStudyInFather( Part, Circlpy, 'Circlpy' )



###
### SMESH component
###

import smesh, SMESH, SALOMEDS

smesh.SetCurrentStudy(theStudy)
import StdMeshers
Mesh = smesh.Mesh(Part)
Regular_1D = Mesh.Segment()
Nb_Segments1 = Regular_1D.NumberOfSegments(13)
Nb_Segments1.SetDistrType( 0 )
Quadratic_Mesh1= Regular_1D.QuadraticMesh()
Quadrangle_2D = Mesh.Quadrangle(algo=smesh.QUADRANGLE)
Quadrangle_Parameters = Quadrangle_2D.QuadrangleParameters(StdMeshers.QUAD_STANDARD)
Hexa_3D = Mesh.Hexahedron(algo=smesh.Hexa)
isDone=Mesh.Compute()


Regular_1D2 = Mesh.Segment(geom=Aends)
Nb_Segments2 = Regular_1D2.NumberOfSegments(16)
Nb_Segments2.SetDistrType( 0 )
Quadratic_Mesh2 = Regular_1D2.QuadraticMesh()
Quadrangle_2D2 = Mesh.Quadrangle(algo=smesh.QUADRANGLE,geom=Aends)
Quadrangle_Parameters2 = Quadrangle_2D2.QuadrangleParameters(StdMeshers.QUAD_STANDARD)
isDone = Mesh.Compute()

Regular_1D3 = Mesh.Segment(geom=Lpy)
Nb_Segments3 = Regular_1D3.NumberOfSegments(6)
Nb_Segments3.SetDistrType( 0 )
Quadratic_Mesh3 = Regular_1D3.QuadraticMesh()
isDone = Mesh.Compute()
Circlmy = Mesh.GroupOnGeom(Circlmy,'Circlmy',SMESH.EDGE)
Circlpy = Mesh.GroupOnGeom(Circlpy,'Circlpy',SMESH.EDGE)

SubMesh1 = Regular_1D2.GetSubMesh()
SubMesh2 = Regular_1D3.GetSubMesh()

Atop = Mesh.GroupOnGeom(Atop,'Atop',SMESH.FACE)
Abot = Mesh.GroupOnGeom(Abot,'Abot',SMESH.FACE)
isDone = Mesh.Compute()

###==================
##nodeID = Mesh.AddNode( 0, 0, -5 )
##elem0d = Mesh.Add0DElement( 8163 )
##Pmaster0 = Mesh.CreateEmptyGroup( SMESH.ELEM0D, 'Pmaster0' )
##nbAdd = Pmaster0.Add( [ 2873 ] )

nodeID = Mesh.AddNode( 0, 0, -11 )
Nmaster = Mesh.CreateEmptyGroup( SMESH.NODE, 'Nmaster' )
nbAdd = Nmaster.Add( [ 8163 ] )
Pmaster  = Mesh.CreateEmptyGroup( SMESH.ELEM0D, 'Pmaster' )
SubMesh1 = Regular_1D.GetSubMesh()
SubMesh2 = Regular_1D.GetSubMesh()

## set object names
## set object names
smesh.SetName(Mesh.GetMesh(), 'Mesh')
smesh.SetName(Regular_1D.GetAlgorithm(), 'Regular_1D')
smesh.SetName(Nb_Segments1, 'Nb. Segments')
smesh.SetName(Quadratic_Mesh2, 'Quadratic Mesh2')
smesh.SetName(Quadrangle_2D.GetAlgorithm(), 'Quadrangle_2D')
smesh.SetName(Quadrangle_Parameters, 'Quadrangle Parameters')
smesh.SetName(Hexa_3D.GetAlgorithm(), 'Hexa_3D')

smesh.SetName(Nb_Segments2, 'Nb. Segments2')
smesh.SetName(Nb_Segments3, 'Nb. Segments3')
smesh.SetName(Quadratic_Mesh1, 'Quadratic Mesh2')

smesh.SetName(Quadrangle_Parameters2, 'Quadrangle Parameters2')
smesh.SetName(SubMesh1, 'SubMesh1')
smesh.SetName(SubMesh2, 'SubMesh2')

smesh.SetName(Atop, 'Atop')
smesh.SetName(Abot, 'Abot')
smesh.SetName(Nmaster, 'Nmaster')
smesh.SetName(Pmaster, 'Pmaster')
smesh.SetName(Circlmy, 'Circlmy')
smesh.SetName(Circlpy, 'Circlpy')

##Atop.SetName( 'Atop' )

### Store presentation parameters of displayed objects
import iparameters
ipar = iparameters.IParameters(theStudy.GetModuleParameters("Interface Applicative", "GEOM", 1))


if salome.sg.hasDesktop():
  salome.sg.updateObjBrowser(1)
  iparameters.getSession().restoreVisualState(1)
